/*
*  Name:      url_decoder.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   URL decoder class
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _MPCL_NET_CGI_URL_DECODER__
#define _MPCL_NET_CGI_URL_DECODER__

#include "../text/string.hh"


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for NET.
  namespace net
  {

    using text::TString;

    ///  URL decoder class.
    class TUrlDecoder
    {

      public:

        //
        //  S E L E C T O R S
        //

        /**
        *  Decodes a string encoded using content type 'application/x-www-form-urlencoded'.
        *  @param rkySOURCE_ENCODED Encoded string.
        *  @return Decoded string.
        *  @see http://www.w3.org/TR/REC-html40/interact/forms.html#h-17.13.4.1
        */
        static TString _decode (const TString& rkySOURCE_ENCODED);

    };  // class TUrlDecoder

  }  // namespace net

}  // namespace mpcl


#endif  // not _MPCL_NET_CGI_URL_DECODER__
