/*
*  Name:      image_submit_group.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   HTML image submit group
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _MPCL_TEXT_HTML_IMAGE_SUBMIT_GROUP__
#define _MPCL_TEXT_HTML_IMAGE_SUBMIT_GROUP__

#include "input_image.hh"
#include "submit_group.hh"


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for TEXT.
  namespace text
  {

    ///  Name-space for HTML.
    namespace html
    {

      ///  HTML image submit group.
      class TImageSubmitGroup : public TSubmitGroup
      {

        public:

          //
          //  C O N S T R U C T O R S
          //

          TImageSubmitGroup ( const char* pkcIDENTIFIER           ,
                              const char* pkcVALUE = ""           ,
                              const char* pkcALIGN = "horizontal" ) :
            TSubmitGroup (pkcIDENTIFIER, pkcVALUE, pkcALIGN)        {}

          void insertUpdating (const QTTag& rkqtTAG)
          {
            (*rkqtTAG) ("identifier")           = identifier();
            (*rkqtTAG) ("qualified-identifier") =
              identifier()               +
              kcIdentifierValueSeparator +
              rkqtTAG->getValue()        ;
            insertAs (identifier(), rkqtTAG, end());
          }

          void insertUpdating (const QTTag& rkqtTAG, iterator tINDEX)
          {
            (*rkqtTAG) ("identifier")           = identifier();
            (*rkqtTAG) ("qualified-identifier") =
              identifier()               +
              kcIdentifierValueSeparator +
              rkqtTAG->getValue()        ;
            insertAs (identifier(), rkqtTAG, tINDEX);
          }

      };  // class TImageSubmitGroup

    }  // namespace html

  }  // namespace text

}  // namespace mpcl


#endif  // not _MPCL_TEXT_HTML_IMAGE_SUBMIT_GROUP__
