/*
*  Name:      identifier_generator.hh
*  Author:    Francisco Vides Fernandez
*  Summary:   Base clause tag string
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _MPCL_UTIL_STRATEGY_IDENTIFIER_GENERATOR__
#define _MPCL_UTIL_STRATEGY_IDENTIFIER_GENERATOR__

#include "../../text/string.hh"


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for UTIL.
  namespace util
  {

    ///  Name-space for STRATEGY.
    namespace strategy
    {

      using text::TString;

      ///  Base class for creating unique identifiers.
      class TIdentifierGenerator
      {

        protected:

          ///  Internal counter.
          static long unsigned int   _luiCounter;


        protected:

          static TString _getObjectIdentifier (void)
          {
            return text::Format ("%l", _luiCounter++);
          }

      };  // class TIdentifierGenerator

    }  // namespace strategy

  }  // namespace util

}  // namespace mpcl


#endif  // not _MPCL_UTIL_STRATEGY_IDENTIFIER_GENERATOR__
