/*
*  Name:      exceptions.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Deterministic Finite Automaton exceptions
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1999-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/automaton/exceptions.hh>


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for AUTOMATON.
  namespace automaton
  {

    ///  DFAML file not found message.
    const char*   TFileNotFoundException::_pkcSynopsis = "automaton: DFAML file not found";

    ///  DFAML file not found message.
    const char*   TIntegrityException::_pkcSynopsis = "automaton: integrity failure";

    ///  Not a DFAML file message.
    const char*   TNotDfamlFileException::_pkcSynopsis = "automaton: not a DFAML file";

    ///  Item (state/event/action) not found message.
    const char*   TNotFoundException::_pkcSynopsis = "automaton: item not found";

  }  // namespace automaton

}  // namespace mpcl
