/*
*  Name:      exceptions.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   CODEGEN exceptions
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/text/codegen/exceptions.hh>


///  Name-space for MPCL.
namespace mpcl
{

  ///  Name-space for TEXT.
  namespace text
  {

    ///  Name-space for CODEGEN.
    namespace codegen
    {

      ///  Item not found message.
      const char*   TNotFoundException::_pkcSynopsis = "codegen: item not found";

      ///  Not a CDML file message.
      const char*   TNotCdmlFileException::_pkcSynopsis = "codegen: not a CDML file";

      ///  Bad instantiate syntax message.
      const char*   TBadInstantiateSyntaxException::_pkcSynopsis = "codegen: bad syntax";

      ///  CDML file not found message.
      const char*   TFileNotFoundException::_pkcSynopsis = "codegen: CDML file not found";
      
    }  // namespace codegen

  }  // namespace text

}  // namespace mpcl
