/*
*  Name:         gmt_date.cc
*  Author:       Francisco Rodrigo Escobedo Robles
*  Contributor:  Rafael Jesus Alcantara Perez
*  Summary:      GMT date class
*  Date:         $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:     $Revision: 8535 $
*
*  Copyright (C) 2000  Francisco Rodrigo Escobedo Robles <frer@pepix.net>
*  Copyright (C) 2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <ctime>
#include <mpcl/text/gmt_date.hh>


//
//  S E L E C T O R S
//

mpcl::text::TString mpcl::text::TGmtDate::
get (const char* pkcDATE_FORMAT) const
{

  char   acFormattedDate [_kiMaxFormattedDate];

  if ( !std::strftime ( acFormattedDate                  ,
                        _kiMaxFormattedDate              ,
                        pkcDATE_FORMAT                   ,
                        std::gmtime (&tSecondsFromEpoch) ) )
  {
    throw TConstraintException ("date too long", __FILE__, __LINE__);
  }
  return TString (acFormattedDate);

}  // get()
