/*
*  Name:      table_cell.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   HTML table cell
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/text/html/table_cell.hh>
#include <mpcl/text/string.hh>


//
//  C O N S T R U C T O R S
//

mpcl::text::html::TTableCell::
TTableCell ( const QTTag& rkqtSOURCE_TAG ,
             const char*  pkcTYPE        ,
             const char*  pkcALIGN       ,
             const char*  pkcVALIGN      ) :
  mpcl::text::html::TContainer()
{

  tAttributeMap ["class-identifier"]  = "table-cell-";
  tAttributeMap ["class-identifier"] += TString (pkcTYPE).lowercase();
  tAttributeMap.bind ("rowspan", "");
  tAttributeMap.bind ("colspan", "");
  tAttributeMap.bind ("nowrap",  "false");
  tAttributeMap.bind ("halign",  pkcALIGN);
  tAttributeMap.bind ("valign",  pkcVALIGN);
  tAttributeMap.bind ("width",   "");
  tAttributeMap.bind ("height",  "");
  tAttributeMap.bind ("bgcolor", "");
  insert (rkqtSOURCE_TAG);

}  // TTableCell()


mpcl::text::html::TTableCell::
TTableCell ( const char* pkcTYPE   ,
             const char* pkcALIGN  ,
             const char* pkcVALIGN ) :
  mpcl::text::html::TContainer()
{

  tAttributeMap ["class-identifier"]  = "table-cell-";
  tAttributeMap ["class-identifier"] += TString (pkcTYPE).lowercase();
  tAttributeMap.bind ("rowspan", "");
  tAttributeMap.bind ("colspan", "");
  tAttributeMap.bind ("nowrap",  "false");
  tAttributeMap.bind ("halign",  pkcALIGN);
  tAttributeMap.bind ("valign",  pkcVALIGN);
  tAttributeMap.bind ("width",   "");
  tAttributeMap.bind ("height",  "");
  tAttributeMap.bind ("bgcolor", "");

}  // TTableCell()
