/*
*  Name:      text.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   HTML text
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/text/html/text.hh>


//
//  C O N S T R U C T O R S
//

mpcl::text::html::TText::
TText ( const char* pkcTEXT  ,
        size_t      zSIZE    ,
        const char* pkcALIGN ,
        const char* pkcCOLOR ) :
  mpcl::text::html::TTag ("", pkcTEXT)
{

  tAttributeMap ["class-identifier"] = "text";
  tAttributeMap.bind ("text-size", Format ("%u", zSIZE));
  tAttributeMap.bind ("halign",    pkcALIGN);
  tAttributeMap.bind ("color",     pkcCOLOR);

}  // TText()


mpcl::text::html::TText::
TText ( const char* pkcIDENTIFIER ,
        const char* pkcTEXT       ,
        size_t      zSIZE         ,
        const char* pkcALIGN      ,
        const char* pkcCOLOR      ) :
  mpcl::text::html::TTag (pkcIDENTIFIER, pkcTEXT)
{

  tAttributeMap ["class-identifier"] = "text";
  tAttributeMap.bind ("text-size", Format ("%u", zSIZE));
  tAttributeMap.bind ("halign",    pkcALIGN);
  tAttributeMap.bind ("color",     pkcCOLOR);

}  // TText()


//
//  S E L E C T O R S
//

void mpcl::text::html::TText::
writeUsing ( std::basic_ostream<char>& rtTARGET_OSTREAM               ,
             const TString&            rkySOURCE_QUALIFIED_IDENTIFIER ) const
{

  if ( isVisible() )
  {
    TStringToStringMap   tTargetVariableMap;
    TString              yQualifiedIdentifier = rkySOURCE_QUALIFIED_IDENTIFIER;
    const TString        kyHead               = "header.";
    const TString        kyFoot               = "foot.";

    expand (tTargetVariableMap);
    if ( gIsQualified && !qualifiedIdentifier().empty() )
    {
      if ( !yQualifiedIdentifier.empty() )
      {
        yQualifiedIdentifier += kcIdentifierSeparator;
      }
      yQualifiedIdentifier += qualifiedIdentifier();
    }
    tTargetVariableMap ["qualified-identifier"] = yQualifiedIdentifier;
    if ( !attribute ("color").empty() )
    {
      rtTARGET_OSTREAM << code ("font", "head", tTargetVariableMap);
    }
    rtTARGET_OSTREAM << code ("text", (kyHead + tAttributeMap ["text-size"]).c_str(), tTargetVariableMap);
    rtTARGET_OSTREAM << code ("text", "body",                                         tTargetVariableMap);
    rtTARGET_OSTREAM << code ("text", (kyFoot + tAttributeMap ["text-size"]).c_str(), tTargetVariableMap);
    if ( !attribute ("color").empty() )
    {
      rtTARGET_OSTREAM << code ("font", "foot", tTargetVariableMap);
    }
  }

}  // writeUsing()
