/*
*  Name:      option.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Option for PREFS
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/util/prefs/option.hh>


//
//  L O C A L   V A R I A B L E S
//

const mpcl::text::TString mpcl::util::prefs::TOption::_kyDefaultHelpString = "No help available for this option.";


//
//  S E L E C T O R S
//

bool mpcl::util::prefs::TOption::
hasValue (const TString& rkySOURCE_VALUE) const
{

  using std::vector;

  bool                              gSuccess = false;
  vector<TString>::const_iterator   I        = tValueVector.begin();
  vector<TString>::const_iterator   ktEnd    = tValueVector.end();

  for (; ( I != ktEnd ) ;++I)
  {
    if ( *I == rkySOURCE_VALUE )
    {
      gSuccess = true;
      break;
    }
  }
  return gSuccess;

}  // hasValue()


void mpcl::util::prefs::TOption::
write (std::basic_ostream<char_type, traits_type>& rtTARGET_OSTREAM) const
{

  using std::vector;
  using std::endl;

  vector<TString>::const_iterator   I     = tValueVector.begin();
  vector<TString>::const_iterator   ktEnd = tValueVector.end();

  if ( tValueVector.empty() )
  {
    rtTARGET_OSTREAM << yName;
    rtTARGET_OSTREAM << "=";
    rtTARGET_OSTREAM << yDefaultValue;
    rtTARGET_OSTREAM << endl;
  }
  else
  {
    for (; ( I != ktEnd ) ;++I)
    {
      rtTARGET_OSTREAM << yName;
      rtTARGET_OSTREAM << "=";
      rtTARGET_OSTREAM << *I;
      rtTARGET_OSTREAM << endl;
    }
  }

}  // write()
