/*
*  Name:      IMutator.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Mutator interface
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 2003  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for BEHAVIORAL design patterns.
package org.mpcl.designpatterns.behavioral;


/**
*  Mutator interface.
*  A class can implement the  mutator interface when it wants to be informed of
*  need for changes in mutable objects.
*/
public interface IMutator
{

  //
  //  C O N S T R U C T O R S
  //

  /**
  *  This method is called whenever the mutable object need to be mutated.
  *  @param tMUTABLE  Mutable object.
  *  @param tARGUMENT An argument passed to the notifyMutators method.
  */
  public void update (IMutable tMUTABLE, Object tARGUMENT);

}  // class IMutator
