/*
*  Name:      IAuthenticator .java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Dialog for authenticating an user
*  Date:      $Date: 2004-08-02 18:16:38 +0200 (lun, 02 ago 2004) $
*  Revision:  $Revision: 9837 $
*
*  Copyright (C) 2003  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for NUI (Native User Interface).
package org.mpcl.nui;


///  Simple authenticator interface.
public interface IAuthenticator
{

  /**
  *  Authenticates a pair identifier/password (\a kyIDENTIFIER /\a kyPASSWORD).
  *  @param kyIDENTIFIER Identifier to be authenticated.
  *  @param kyPASSWORD   Password to be authenticated.
  */
  public boolean authenticate (final String kyIDENTIFIER, final String kyPASSWORD);

}  // interface IAuthenticator
