/*
*  Name:      TAbstractInputVerifier.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Abstract input validator using system beep
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 2003  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for NUI (Native User Interface).
package org.mpcl.nui;

import javax.swing.InputVerifier;
import javax.swing.JComponent;


///  Input validator class.
public abstract class TAbstractInputVerifier extends InputVerifier
{

  ///  String with the error message.
  String   yErrorMessage;


  //
  //  C O N S T R U C T O R S
  //

  /**
  *  Builds a new instance.
  *  @param yERROR_MESSAGE Error message for not validating this verifier.
  */
  public TAbstractInputVerifier (String yERROR_MESSAGE)
  {
    yErrorMessage = yERROR_MESSAGE;
  }


  //
  //  S E L E C T O R S
  //

  public boolean shouldYieldFocus (JComponent tCOMPONENT)
  {
    boolean   gShouldYieldFocus = super.shouldYieldFocus (tCOMPONENT);

    if ( !gShouldYieldFocus )
    {
      tCOMPONENT.getToolkit().beep();
    }
    return gShouldYieldFocus;
  }

  /**
  *  Returns the error message for a not validating component.
  *  @return The error message.
  */
  public String getErrorMessage()
  {
    return yErrorMessage;
  }

}  // class TAbstractInputVerifier
