/*
*  Name:      TApprovalDialog.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Approval dialog class
*  Date:      $Date: 2004-09-08 02:22:47 +0200 (mié, 08 sep 2004) $
*  Revision:  $Revision: 10078 $
*
*  Copyright (C) 2001-2004  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for NUI DIALOG.
package org.mpcl.nui.dialog;

import java.awt.Component;
import javax.swing.JOptionPane;
import org.mpcl.nui.IResourceSupplier;


///  Class for showing approval dialogs.
public class TApprovalDialog
{

  ///  Class for resource names.
  public static class _TNames
  {
    ///  Key identifier for the dialog title.
    public static final String   _kyTitle =
     "org.mpcl.nui.dialog.TApprovalDialog._TNames._kyTitle";
  }

  /**
  *  Shows an informational modal dialog asking for user approval.
  *  @param tCOMPONENT         Parent component.
  *  @param yMESSAGE           Message to show.
  *  @param tRESOURCE_SUPPLIER Resource bundle for window title.
  *  @return True if the user responds affirmatively.
  */
  public static boolean _show ( Component         tCOMPONENT         ,
                                String            yMESSAGE           ,
                                IResourceSupplier tRESOURCE_SUPPLIER )
  {
    int   iResult;

    iResult = JOptionPane.showConfirmDialog ( tCOMPONENT                                    ,
                                              yMESSAGE                                      ,
                                              tRESOURCE_SUPPLIER.getText (_TNames._kyTitle) ,
                                              JOptionPane.YES_NO_OPTION                     );
    return ( iResult == JOptionPane.YES_OPTION );
  }
  
}  // class TApprovalDialog
