/*
*  Name:      IFilter.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Simple map interface
*  Date:      $Date: 2004-01-19 14:46:44 +0100 (lun, 19 ene 2004) $
*  Revision:  $Revision: 8749 $
*
*  Copyright (C) 2004  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for UTIL.
package org.mpcl.util;


///  General purpose filter interface.
public interface IFilter
{

  //
  //  S E L E C T O R S
  //

  /**
  *  Returns true if the value \a tOBJECT is accepted by the filter.
  *  @param tOBJECT The object to be checked.
  *  @return True if \a tOBJECT passes the filter.
  */
  public boolean isAccepted (Object tOBJECT);

}  // interface IFilter
