/*
*  Name:      TTimestamp.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Simple class for timestamps
*  Date:      $Date: 2004-11-13 03:36:10 +0100 (sáb, 13 nov 2004) $
*  Revision:  $Revision: 10441 $
*
*  Copyright (C) 2004  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for UTIL.
package org.mpcl.util;

import java.util.Date;


///  Simple class for timestamps.
public class TTimestamp extends Date
{

  //
  //  C O N S T R U C T O R S
  //

  /**
  *  Allocates a Date object and initializes  it so that it represents the time
  *  at which it was allocated, measured to the nearest millisecond.
  */
  public TTimestamp()
  {
    super();
  }

  /**
  *  Allocates a \a TTimestamp object and initializes it to represent the
  *  specified number of milliseconds since the standard base time known as
  *  "the epoch", namely January 1, 1970, 00:00:00 GMT.
  *  @param lDATE The milliseconds since January 1, 1970, 00:00:00 GMT.
  */
  public TTimestamp (long lDATE)
  {
    super (lDATE);
  }

}  // class TTimestamp
